Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.security.realm
Class RDBMSPerformanceDelegate

    java.lang.Object
      |
      +--com.bea.p13n.security.realm.RDBMSDelegate
            |
            +--com.bea.p13n.security.realm.RDBMSPerformanceDelegate

public class RDBMSPerformanceDelegate
extends RDBMSDelegate

Created by IntelliJ IDEA. User: teabeau Date: Mar 3, 2004 Time: 3:33:40 PM To change this template use Options | File Templates.

Fields inherited from class com.bea.p13n.security.realm.RDBMSDelegate
`conn, realm, textFormatter`

Constructor Summary
`protected` | `RDBMSPerformanceDelegate(RDBMSRealm realm)`

Method Summary
`void` | `close()` Cleans up by closing all statements and connections.
`java.util.List` | `getGroupNamesForUser(java.lang.String username)` Does an optimized lookup for group membership.
`java.util.Enumeration` | `getGroupUsers(java.lang.String groupName, java.lang.String searchStr, int maxResults)` Does a filtered search for users in a particular group.
`java.lang.String` | `getParentGroupName(java.lang.String groupname)` Does an optimized lookup for group parentage.
`java.util.Enumeration` | `getUsers(java.lang.String searchStr, int maxResults)` Does a filtered search for users.

Methods inherited from class com.bea.p13n.security.realm.RDBMSDelegate
`addGroupMember, close, close, deleteGroup, deleteUser, finalize, getGroup, getGroupGroups, getGroupMembers, getGroups, getGroupUsers, getNextGroupId, getNextUserId, getPrincipal, getUser, getUserGroups, getUsers, isValid, newGroup, newUser, prepare, removeGroupMember, setPassword`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RDBMSPerformanceDelegate

    protected RDBMSPerformanceDelegate(RDBMSRealm realm)

Method Detail

### getUsers

    public java.util.Enumeration getUsers(java.lang.String searchStr,
                                          int maxResults)
                                   throws java.sql.SQLException

  Does a filtered search for users.

  Parameters:
    `searchStr` - realm specific search String
    `maxResults` - maximum number of results to return
  Returns:
    an Enumeration of UserImpl objects

### getGroupUsers

    public java.util.Enumeration getGroupUsers(java.lang.String groupName,
                                               java.lang.String searchStr,
                                               int maxResults)
                                        throws java.sql.SQLException

  Does a filtered search for users in a particular group.

  Parameters:
    `groupName` - the name of the group
    `searchStr` - realm specific search String
    `maxResults` - maximum number of results to return
  Returns:
    an Enumeration of UserImpl objects

### getGroupNamesForUser

    public java.util.List getGroupNamesForUser(java.lang.String username)
                                        throws java.sql.SQLException

  Does an optimized lookup for group membership.

  Parameters:
    `username` - username
  Returns:
    a List of Strings of the group names

### getParentGroupName

    public java.lang.String getParentGroupName(java.lang.String groupname)
                                        throws java.sql.SQLException

  Does an optimized lookup for group parentage.

  Parameters:
    `groupname` - groupname
  Returns:
    a String of the parent group, null if does not exist

### close

    public void close()

  Cleans up by closing all statements and connections.

  Overrides:
    close in class RDBMSDelegate

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved